Frequently Asked Questions

Technical topics

Q. What operating systems and devices are supported?

VPN technology is a de-facto industry standard for encrypting IP network communications. Anonymize.Net servers are using L2TP/IPSec VPN and PPTP VPN protocols supported by many operating systems and devices with Linux or proprietary OS. We have tested the VPN service with the following operating systems:

  • Android tablets and smartphones with the following OS versions: Android 2.x Gingerbread, Android 3.x Honeycomb, Android 4.0.x Ice Cream Sandwich, Android 4.x Jelly Bean.
  • Apple iOS devices: all iPhone models, iPad, iPad mini. Tablets and phones with iOS 2 to iOS 6 or higher are supported.
  • Microsoft Windows PC and tablets with 32bit or 64bit operating systems: Windows RT, Windows 8, Windows 7, Windows Vista, Windows XP and Windows 98/NT/2000.
  • Apple Mac OS X versions 10.2 and later are supported.
  • FreeBSD, most popular Linux distributions: Ubuntu, CentOS, RedHat, Fedora, Mint, and many others.
  • Linux based devices: routers with OpenWRT or DD–WRT firmware, most of LinkSys, D-Link, Cisco, TP-Link home/office routers

In case you are unsure about VPN protocols supported by your operating system or device, please contact our technical support.

Q. Do I need to download and install VPN client software?

No, no software download is required. Our VPN service can be used with a operating system default, buid-in VPN client.

Q. Do I need root access on my Android phone or tablet to use your VPN service?

No, no root permissions are required. VPN can be used on non-rooted Android devices.

Q. Do I need to jailbreak my iPhone or iPad to use your VPN service?

No, no jailbreak for iPhone or iPad is required.

Q. I have a question about the installation or about troubleshooting of VPN software...

To solve technical issues please visit our Support pages or simply contact our staff.

OFFSHORE VPN PROXY &
NORTH AMERICA VPN PROXY SERVER